create table users (
    id             SERIAL PRIMARY KEY,
    username       TEXT UNIQUE,
    matrix_address TEXT UNIQUE,
    is_confirmed   INT[1] DEFAULT false,
    "privileges"   HSTORE
);

CREATE INDEX username_index_users ON users username;
CREATE INDEX matrix_address_index_users ON users matrix_address;
